{
  "type": "HoradricCubePanel",
  "name": "HoradricCubeLayout", //큐브 레이아웃
  "fields": {
    "priority": 10,
    "rect": {
      "x": -1844,
      "y": 195,
      "width": 450,
      "height": 662
    },
    "anchor": "$RightPanelAnchor",
  },
  "children": [
    {
      "type": "ClickCatcherWidget",
      "name": "click_catcher", //클릭 방지
      "fields": {
        "rect": {
          "x": 0,
          "y": 0,
          "width": 450,
          "height": 662
        }
      },
    },
    {
      "type": "ImageWidget",
      "name": "background", //큐브 배경
      "fields": {
        "filename": "cube_mini/cube_mini3"
      },
    },
    {
      "type": "ButtonWidget",
      "name": "convert", //큐빙 버튼
      "fields": {
        "rect": {
          "x": 170,
          "y": 500,
          "scale": 0.95
        },
        "filename": "PANEL\\Horadric_Cube\\TransmuteButton",
        "tooltipString": "@strUiMenu2",
        "hoveredFrame": 2,
        "onClickMessage": "HoradricCubePanelMessage:Convert",
      }
    },
    {
      "type": "ButtonWidget",
      "name": "closeButton", //닫기 버튼
      "fields": {
        "rect": {
          "x": 386,
          "y": 12,
          "scale": 0.7
        },
        "filename": "PANEL\\closebtn_4x",
        "hoveredFrame": 3,
        "tooltipString": "@strClose",
        "sound": "cursor_close_window_hd",
        "onClickMessage": "HoradricCubePanelMessage:Close",
      },
    },
    {
      "type": "InventoryGridWidget",
      "name": "grid", //격자
      "fields": {
        "rect": {
          "x": 78,
          "y": 78
        },
        "cellCount": {
          "x": 3,
          "y": 4
        },
        "cellSize": "$ItemCellSize",
        "gemSocketFilename": "PANEL\\gemsocket",
      },
    },
    {
      "type": "AnimatedImageWidget",
      "name": "flourish",
      "fields": {
        "rect": {
          "x": -172,
          "y": -258,
          "scale": 2
        },
        "filename": "PANEL\\Horadric_Cube\\Flourish",
        "blendMode": "black",
        "fps": 14,
        "playing": false,
        "loop": false,
      },
    }
  ]
}